Subject: Re: [PATCH] net: fix can_checksum_protocol() arguments swap

From: Hans de Bruin <[email-masked]>
Date: Wed, 19 Jan 2011 16:01:15 +0100

On 01/19/2011 02:33 PM, Jesse Gross wrote:
> On Wed, Jan 19, 2011 at 2:51 AM, Eric Dumazet<[email-masked]>  wrote:
>> commit 0363466866d901fbc (net offloading: Convert checksums to use
>> centrally computed features.) mistakenly swapped can_checksum_protocol()
>> arguments.
>>
>> This broke IPv6 on bnx2 for instance, on NIC without TCPv6 checksum
>> offloads.
>>
>> Reported-by: Hans de Bruin<[email-masked]>
>> Signed-off-by: Eric Dumazet<[email-masked]>
>> CC: Jesse Gross<[email-masked]>
>> ---
>> I cant believe I spent so much time on this bug.
>
> Thanks Eric, I was staring at this code and I can't believe that I
> didn't see it.
>
> Acked-by: Jesse Gross<[email-masked]>

I have applied the patch and the ipv6 connectivity is back.

-- 
Hans